<?php 
	require_once("config/connect.php");
	require_once("global_functions.php");
	
	
	if(isset($argv[1]) && strlen($argv[1]) > 3)$importFile=$argv[1];
	if (file_exists($importFile) && strtolower(pathinfo($importFile, PATHINFO_EXTENSION)) == 'csv') {
		echo "File ". basename($importFile). " gefunden.\nDaten werden ausgelesen.\n";
		
		$runImport=importFromCsv($importFile, 'productsImport', ';' );
		$patX=array('/ä/', '/Ä/', '/ö/', '/Ö/', '/ü/', '/Ü/', '/ß/', '/<br \/>/');
		$repX=array('ae', 'Ae', 'oe', 'Oe', 'ue', 'Ue', 'ss', '');
		echo preg_replace($patX, $repX, $runImport);
		
	}
	
	else{
		echo "Import File konnte nicht gefunden werden, oder Dateitype falsch.\nDaten Import abgebrochen.";
		return false;
	}
	
	
	
	/*
	
	$ajaxFileKennung='callFromCommandlineFile';
	require_once("ajax_funktionen_kp.php");

	if(isset($argv[2]) && strlen($argv[2]) > 8) $startDate = $argv[2];
	else $startDate =false;
	if(isset($argv[3]) && strlen($argv[3]) > 8) $endDate = $argv[3];
	else $endDate=false;
	
	if(checkdate(date('m', strtotime($startDate)),date('d', strtotime($startDate)),date('Y', strtotime($startDate)))==true){
				$repSt=true;
	}
	else $repSt=false;
	if(checkdate(date('m', strtotime($endDate)),date('d', strtotime($endDate)),date('Y', strtotime($endDate)))==true){
		$repEnd=true;
	}
	else $repEnd=false;
	
		if($repSt==true && $repEnd==true){
			$dateWhere="WHERE abgeschlossener_bon.bon_erstellt_datum >= '".$startDate." 00:00:00' 
			AND abgeschlossener_bon.bon_erstellt_datum < '".$endDate." 23:59:59'";
		}
		else if($repSt==true && $repEnd==false){
			$dateWhere="WHERE abgeschlossener_bon.bon_erstellt_datum >= '".$startDate." 00:00:00'";
		}
		else if($repSt==false && $repEnd==true){
			$dateWhere="WHERE abgeschlossener_bon.bon_erstellt_datum < '".$endDate." 23:59:59'";
		}
		else $dateWhere="";
	
	
	$commantLineParam=array('totalRevFromCommandLine', $dateWhere, $startDate, $endDate);
	$getReport=getReportTotalRev($commantLineParam);
	
	
	
	
	if(isset($argv[1]) && strlen($argv[1]) > 3 )$fileN = $argv[1];
	else $fileN=false;
	if($fileN != false) $fileName=$argv[1];
	else $fileName=__DIR__ ."/docs/reports/comLineReport_.xml";
	#else $fileName=__DIR__ ."/docs/reports/comLineReport_".date('ymd-Hi').".xml";
	
	$writeContent=false;
	
	if($getReport == true)$reportContent=$getReport;
	else $reportContent="Fehler beim Report Erstellen";
	$writeContent=file_put_contents($fileName, $reportContent, LOCK_EX);
	
	if (($writeContent === false) || ($writeContent == -1)) {
		echo "File write Error";
	}
	
	else echo "File: ".$fileName." geschrieben. Datum Beginn:".$startDate.", Datum Ende: ".$endDate;


	*/
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
?>